.. _`pip search`:

==========
pip search
==========

.. contents::


Usage
=====

.. tabs::

   .. group-tab:: Unix/macOS

      .. pip-command-usage:: search "python -m pip"

   .. group-tab:: Windows

      .. pip-command-usage:: search "py -m pip"


Description
===========

.. pip-command-description:: search


Options
=======

.. pip-command-options:: search


Examples
========

#. Search for "peppercorn"

   .. tabs::

      .. group-tab:: Unix/macOS

         .. code-block:: console

            $ python -m pip search peppercorn
            pepperedform    - Helpers for using peppercorn with formprocess.
            peppercorn      - A library for converting a token stream into [...]

      .. group-tab:: Windows

         .. code-block:: console

            C:\> py -m pip search peppercorn
            pepperedform    - Helpers for using peppercorn with formprocess.
            peppercorn      - A library for converting a token stream into [...]
